Bug 10954 - Installer loses Win98 boot information
Installer loses Win98 boot information
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Depends On:
  Show dependency treegraph
Reported: 2000-04-20 23:23 EDT by alanf
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-05-15 13:44:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description alanf 2000-04-20 23:23:53 EDT
The installer has the same problem as I reported in Bug #6310 (duplicate of
#5497) which I submitted back in October 1999. It was reported as resolved
in February 2000, but the email I got reporting the resolution gave no clue
about getting a fixed installer. The last installer update is dated

Essentially, the installer is not recognizing multiple boot partitions.
This means that when I install Linux 6.2 on my system, Windows 98 is
completely disabled.

I used the latest anaconda boot disks as of today's date:

I also found that the instructions given in "Removing Red Hat Linux" (p.
93) in the 6.2 Installation Guide do not work. The instructions claim that
to replace the MBR with an earlier saved version, execute "/sbin/lilo -u".
I did this and when the system attempted to boot Lilo, the prompt came back
as "LI" and hung there.

The only recourse to fixing these problems was to reinstall 6.0 from
scratch. The 6.0 installer works fine.

Please fix this problem soon. If it is not fixed soon, I will return both
versions 6.1 and 6.2 for a refund, as they are completely useless to me.

Thank you.
Comment 1 Jay Turner 2000-04-21 07:12:59 EDT
Please submit a copy of your /etc/lilo.conf file in addition to your /etc/fstab
file.  I am not able to replicate this situation here in the test lab.  As for
restoring your system to it previous state using "lilo -u" as the manual
describes, this did indeed work as expected, it is just that your previous saved
MBR also had lilo installed (from previous installations)  In order to restore
Windows to a bootable state, boot the machine using a DOS boot disk and issue
the command "fdisk /MBR"  This will restore the DOS MBR sector and you will be
able to boot Windows then.
Comment 2 Jay Turner 2000-05-15 13:44:59 EDT
Closing this bug due to lack of activity.

Note You need to log in before you can comment on or make changes to this bug.